/********************************************************************************
 *	about.c
 *
 *	About Dialog Package
 *
 *	Written by Paco Xander Nathan
 *	1990, Motorola Inc.  Public domain source code.
 ********************************************************************************/

#include "applic.h"
#include "window.h"
#include "dialog.h"
#include "string.h"
#include "noise.h"
#include "help.h"
#include "about.h"


typedef enum {
	aboutIcon = 1, aboutText, aboutName, aboutMoto
} aboutItems;


/* Put up the About dialog
 */
void
AboutAppl ()
{
	Str255 theName;
	short kind;
	Handle theItem;
	Rect bounds;
	
	if (!dPtrAbout) {
		dPtrAbout = DlogWindow(aboutDlogID);

		if ((StrGetChooser(theName) == noErr) && (theName[0] > 0)) {
			GetDItem(dPtrAbout, aboutName, &kind, &theItem, &bounds);
			SetIText(theItem, theName);
		}
	}
	else
		WindSwitch(dPtrAbout, TRUE);
}


/* Handle user events within the About dialog
 */
void
AboutEvent (itemNum)
	register short itemNum;
 {
	switch (itemNum) {
	case aboutIcon:
		NoisePlay(noisePaco);
		break;

	default:
		break;
	}
}